%define oname   nokogiri
%define subrel	1

Name:       ruby-%{oname}
Version:    1.11.1
Release:    %mkrel 1
Summary:    An HTML, XML, SAX, and Reader parser
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     ruby-nokogiri-1.11.1-CVE-2022-24836-backport.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(libxslt)
BuildRequires: rubygem(hoe)
BuildRequires: rubygem(mini_portile)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rake-compiler)
BuildRequires: rubygem(racc)
BuildRequires: rubygem(rdoc)

%description
Nokogiri is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3
selectors. XML is like violence - if it doesn't solve your problems,
you are not using enough of it.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

# remove bundled external libraries
sed -i \
	-e 's|, "ports/archives/[^"][^"]*"||g' \
	-e 's|, "ports/patches/[^"][^"]*"||g' \
	../%{oname}-%{version}.gemspec
# Not needed when using system libraries
%gemspec_remove_dep -s ../%{gem_name}-%{version}.gemspec -g mini_portile2

%build
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
%gem_build

%install
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
%gem_install

%files
%{_bindir}/nokogiri
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}


%changelog
* Fri May 06 2022 pterjan <pterjan> 1.11.1-1.1.mga8
+ Revision: 1856523
- Add patch for CVE-2022-24836 (mga#30322)

* Mon Jan 18 2021 neoclust <neoclust> 1.11.1-1.mga8
+ Revision: 1672299
- Remove merged patch
- New version 1.11.1: Fixes CVE-2020-26247 (mga#28141)

* Wed Nov 04 2020 pterjan <pterjan> 1.10.10-1.mga8
+ Revision: 1642674
- Add upstream patch to fix canonicalize name collision
- Update to 1.10.10

* Fri Mar 06 2020 pterjan <pterjan> 1.10.9-1.mga8
+ Revision: 1554487
- Update to 1.10.9
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.10.1-2.mga8
+ Revision: 1522505
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1.10.1-1.mga7
+ Revision: 1360773
- Update to 1.10.1

* Sun Nov 04 2018 pterjan <pterjan> 1.8.5-1.mga7
+ Revision: 1328196
- Update to 1.8.5

* Sun Sep 30 2018 pterjan <pterjan> 1.8.4-1.mga7
+ Revision: 1311897
- Update to 1.8.4
- Update to 1.8.4
- Update to 1.8.3
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 1.8.2-1.mga7
+ Revision: 1214262
- Update to 1.8.2

* Mon Jan 01 2018 pterjan <pterjan> 1.8.0-2.mga7
+ Revision: 1188680
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 1.8.0-1.mga7
+ Revision: 1141863
- Update to 1.8.0

* Tue Aug 15 2017 pterjan <pterjan> 1.6.7.2-4.mga7
+ Revision: 1140848
- Rebuild for new Ruby

* Fri Nov 04 2016 daviddavid <daviddavid> 1.6.7.2-3.mga6
+ Revision: 1065274
- fix more update dependency with sed

* Thu Nov 03 2016 pterjan <pterjan> 1.6.7.2-2.mga6
+ Revision: 1064794
- Use sed to remove update dependency

* Sun Feb 14 2016 pterjan <pterjan> 1.6.7.2-1.mga6
+ Revision: 960149
- Allow mini_portile2 2.1
- Update to 1.6.7.2

* Wed Jan 06 2016 pterjan <pterjan> 1.6.7.1-1.mga6
+ Revision: 920123
- Update to 1.6.7.1

* Wed Dec 02 2015 spuhler <spuhler> 1.6.6.2-2.mga6
+ Revision: 907684
- rebuild with new libruby

* Fri Nov 13 2015 pterjan <pterjan> 1.6.6.2-1.mga6
+ Revision: 902978
- Update to 1.6.6.2

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-9.mga5
+ Revision: 740509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-8.mga5
+ Revision: 688886
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.6.0-7.mga4
+ Revision: 562066
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.6.0-6.mga4
+ Revision: 561489
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 1.6.0-5.mga4
+ Revision: 560530
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-4.mga4
+ Revision: 536013
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 pterjan <pterjan> 1.6.0-3.mga4
+ Revision: 482990
- Use gem_setup
- Fix file list

* Sun Jun 09 2013 fwang <fwang> 1.6.0-2.mga4
+ Revision: 441181
- use system lib
- use system libraries

* Sun Jun 09 2013 fwang <fwang> 1.6.0-1.mga4
+ Revision: 441167
- add more br
- new version 1.6.0

* Fri Feb 08 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 396229
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.5.5-3.mga3
+ Revision: 381143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.5.5-2.mga3
+ Revision: 313438
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.5.5-1.mga3
+ Revision: 280660
- New version 1.5.5

* Fri Jun 08 2012 shlomif <shlomif> 1.5.2-1.mga3
+ Revision: 257537
- Rename files away from percent signs
+ solbu <solbu>
- New version
- Spec cleanup
- Drop patch

* Mon Feb 07 2011 shikamaru <shikamaru> 1.4.3.1-2.mga1
+ Revision: 48511
- imported package ruby-nokogiri

